dvi2bitmap dvi2bitmap1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
Bitmap::const_iterator Class Reference

Iterator class. More...

`#include <Bitmap.h>`

## Public Member Functions
Byte * | operator* () throw (DviError)
| Returns the current member of the set of rows returned by the iterator. More...
const_iterator & | operator++ () throw (DviError)
| Increments the iterator. More...
bool | operator== (const const_iterator &it) const
bool | operator!= (const const_iterator &it) const
| ~const_iterator ()

## Friends
class | Bitmap

## Detailed Description

Iterator class.

## Constructor & Destructor Documentation

Bitmap::const_iterator::~const_iterator | ( | ) |  |

## Member Function Documentation

bool Bitmap::const_iterator::operator!= | ( | const const_iterator & | it) |  | const

Byte * Bitmap::const_iterator::operator* | ( | ) |  |
throw | ( | DviError
| ) |  |

Returns the current member of the set of rows returned by the iterator.

This returns a pointer to an array of `Byte`, with elements `[0..W-1]` being guaranteed to be valid, where `W` is the width of the bitmap. If the bitmap is uncropped, this is the total width of the bitmap as returned by method getWidth; if cropped, the width is the difference of the [2] and [0] elements of the array returned by boundingBox.

Returns
  pointer to an array of `Byte`

Exceptions

  DviError | if the iterator is dereferenced after it has come to the end

Bitmap::const_iterator & Bitmap::const_iterator::operator++ | ( | ) |  |
throw | ( | DviError
| ) |  |

Increments the iterator.

If the bitmap is uncropped, all the rows in the bitmap will eventually be iterator over, namely the number of rows returned by method getHeight; if it is cropped, the number of rows returned will be the difference between the [3] and [1] elements of the boundingBox array.

Returns
  the iterator

Exceptions

  DviError | if the iterator is incremented after it has come to the end

bool Bitmap::const_iterator::operator== | ( | const const_iterator & | it) |  | const

## Friends And Related Function Documentation

friend class Bitmap
| friend

The documentation for this class was generated from the following files:

- Bitmap.h
- Bitmap.cc